Bug 977764 - missing gnu-free fonts cause warnings when anaconda is run
missing gnu-free fonts cause warnings when anaconda is run
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
AcceptedFreezeException
:
Depends On:
Blocks: F19Blocker/F19FinalBlocker F19-accepted/F19FinalFreezeException
  Show dependency treegraph
 
Reported: 2013-06-25 05:47 EDT by Kamil Páral
Modified: 2013-07-02 04:39 EDT (History)
9 users (show)

See Also:
Fixed In Version: spin-kickstarts-0.19.8-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 03:16:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
missing fonts dialog (89.62 KB, image/png)
2013-06-25 05:47 EDT, Kamil Páral
no flags Details
malayalam fonts missing inside anaconda (88.91 KB, image/png)
2013-06-25 05:47 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2013-06-25 05:47:21 EDT
Created attachment 764998 [details]
missing fonts dialog

Description of problem:
We have removed gnu-free-*-fonts as part of bug 958426. This causes dialogs about missing fonts displayed every time you run anaconda on a LiveCD. See screenshots.

Version-Release number of selected component (if applicable):
F19 RC1

How reproducible:
always

Steps to Reproduce:
1. boot LiveCd
2. run anaconda
3. wait for it... wait for it... now!
Comment 1 Kamil Páral 2013-06-25 05:47:58 EDT
Created attachment 764999 [details]
malayalam fonts missing inside anaconda
Comment 2 Kamil Páral 2013-06-25 05:49:10 EDT
We should discuss whether this is a polish issue that we want to fix on a final product, or not. Proposing for discussion.
Comment 3 Kamil Páral 2013-06-25 06:57:20 EDT
I tried to create a x86_64 ISO with the current kickstart, and with the fonts added. The result is:

999292928 default
1004535808 fonts added

However, RC1 x86_64 Live is 996147200, which is smaller than my "default". I think the difference is that RC1 contains some builds from updates-testing, and I used just a stable repository. So the fonts might actually fit in, but it would be best tested by releng.
Comment 4 Jaroslav Reznik 2013-06-25 08:27:35 EDT
Hmm, I'd be +1 to fix it. It really does not look good to show such warning every time installation starts and ask users to download missing fonts. But it has to be coordinated with Gnome team to make sure we fit (so maybe another pruning would be required to be sure we fit?).
Comment 5 Jaroslav Reznik 2013-06-25 09:47:51 EDT
gnu-free-sans-fonts should be enough, Kamil have you tried adding all fonts back or just sans?
Comment 6 Matthias Clasen 2013-06-25 09:54:12 EDT
If it is just Malayalam, we can include lohit-malayalam-fonts instead.
That only weighs 86k
Comment 7 Kamil Páral 2013-06-25 09:55:20 EDT
(In reply to Jaroslav Reznik from comment #5)
> gnu-free-sans-fonts should be enough, Kamil have you tried adding all fonts
> back or just sans?

All of them.
Comment 8 Jaroslav Reznik 2013-06-25 10:14:48 EDT
(In reply to Matthias Clasen from comment #6)
> If it is just Malayalam, we can include lohit-malayalam-fonts instead.
> That only weighs 86k

With lohit-malayalam-fonts I don't see any other fonts being missing, and labels in installer when Malayalam is selected looks ok (but can't prove it - don't know the language but I'd assume so).
Comment 9 Parag Nemade 2013-06-25 10:25:10 EDT
If you look for reference into lorax package then we have 2 fonts added for Malayalam language, lohit-malayalam-fonts and smc-meera-fonts. We have smc-meera-fonts given as a higher priority.
Comment 10 Kamil Páral 2013-06-25 11:06:36 EDT
smc-meera-fonts-5.0.1-5.fc19.noarch are present on Live, but don't render the required characters.
Comment 11 Adam Williamson 2013-06-25 11:54:47 EDT
At least +1 FE, I'm really +1 blocker for the dumb warning dialog but I don't have a criterion argument handy just at present. But let's fix it for RC2.
Comment 12 Kevin Fenzi 2013-06-25 12:15:58 EDT
Yeah, what Adam said... +1 FE at least.
Comment 13 Matthias Clasen 2013-06-25 12:54:55 EDT
I've pushed a change to spin-kickstarts that adds lohit-malayalam-fonts to the desktop spin.
Comment 14 Adam Williamson 2013-06-25 12:57:17 EDT
commit 15305b2c82c04090452fdd86da1b38884f9010ec
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jun 25 12:50:24 2013 -0400

    desktop: Add lohit-malayalam-fonts

= MODIFIED. Setting acceptedFE with implied vote from kparal.
Comment 15 Dennis Gilmore 2013-06-25 12:57:35 EDT
+1 to FE
Comment 16 Jens Petersen 2013-06-25 20:44:13 EDT
Stange that smc-meera-fonts is not enough.
Comment 17 Adam Williamson 2013-06-25 21:34:23 EDT
Confirmed fixed in RC2, the Malayalam entry in the language selector is no longer Unicode boxes, and no 'font needed' popup occurs.
Comment 18 Adam Williamson 2013-06-26 00:36:50 EDT
For the record, I'm waiting till we have a spin-kickstarts package build to close all these bugs fixed in spin-kickstarts; seems like a good way to make sure we get a spin-kickstarts build for final.
Comment 19 Pravin Satpute 2013-06-26 07:13:15 EDT
smc-meera-fonts is traditional script font and most of the community prefers it as a default fonts.

On the other hand lohit-malayalam is Malayalam new script fonts.

1. Removing smc-meera-fonts will create regression. 

2. There is no harm in having Lohit Malayalam as well in default installation as it does not create any redundancy.

smc-meera-fonts has all characters listed in fontconfig Malayalam orthography file. Still wondering why those square boxes instead of Malayalam characters.
Comment 20 Pravin Satpute 2013-06-26 07:56:39 EDT
Dunno why smc-meera-fonts is not there in fc-cache with F19-RC1, just doing "fc-cache -f" in live cd F19-RC1 solves the problem. 

Does not found anything in smc-meera-fonts spec file.
Comment 21 Kamil Páral 2013-06-26 08:51:30 EDT
(In reply to Pravin Satpute from comment #20)
> Dunno why smc-meera-fonts is not there in fc-cache with F19-RC1, just doing
> "fc-cache -f" in live cd F19-RC1 solves the problem. 

Interesting, could you please report a new bug against LiveCD and link it here? It seems that there are some problems when creating the cache during LiveCD creation.
Comment 22 Parag Nemade 2013-06-26 09:36:29 EDT
Pravin, you are right. I just got RC1 live downloaded with me. Previously tested with RC1 and RC2 dvd media rendering for Malayalam language is correct.

When you start RC1 Gnome live desktop, look into rendering for Malayalam in gucharmap and you will see all boxes.

After doing "fc-cache -f", rendering started for Malayalam. So, its cache creation issue.

Can we have new test iso which will bring back smc-meera-fonts as a default font?
Comment 23 Adam Williamson 2013-06-26 10:14:44 EDT
We don't really have time to fiddle with it further at this point.
Comment 24 Fedora Update System 2013-06-26 11:17:15 EDT
spin-kickstarts-0.19.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/spin-kickstarts-0.19.7-1.fc19
Comment 25 Parag Nemade 2013-06-26 11:22:39 EDT
okay we don't need another spin. I thought we removed smc-meera-fonts but its not and both smc-meera-fonts and lohit-malayalam-fonts are present in RC2 Live.
Comment 26 Pravin Satpute 2013-06-26 13:00:18 EDT
Looks good to me as well.
Comment 27 Pravin Satpute 2013-06-26 14:17:42 EDT
(In reply to Kamil Páral from comment #21)
> 
> Interesting, could you please report a new bug against LiveCD and link it
> here? It seems that there are some problems when creating the cache during
> LiveCD creation.

Reported https://bugzilla.redhat.com/show_bug.cgi?id=978526
Comment 28 Fedora Update System 2013-06-28 00:45:57 EDT
spin-kickstarts-0.19.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/spin-kickstarts-0.19.8-1.fc19
Comment 29 Fedora Update System 2013-06-28 03:16:17 EDT
spin-kickstarts-0.19.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.